LatticeFormatAction Class Reference

`#include <LatticeFormatAction.h>`

Inheritance diagram for LatticeFormatAction:

## Public Member Functions

| LatticeFormatAction ()
virtual void | obtainParameters (vector< Parameter * > &parameters)
virtual void | perform ()
Public Member Functions inherited from Action
| Action (const char *name, const char *shortDescription, const char *description, bool acceptsNonParameter)
virtual | ~Action ()
const char * | getName () const
const char * | getShortDescription () const
const char * | getDescription () const
bool | acceptsNonParameter () const
virtual void | processNonParameter (const char *str)
virtual void | parseCommandLine (unsigned int tokenCount, const char **tokens)
virtual bool | displayAction () const
| Returns whether this action should be shown to the user by the help action.
const Parameter & | getParam (const string &name) const

## Static Public Member Functions

static const char * | staticGetName ()
Static Public Member Functions inherited from Action
static void | getActionNames (vector< string > &names)
static unique_ptr< Action > | createActionWithPrefix (const string &prefix)

## Private Attributes

StringParameter | _inputFormat
StringParameter | _outputFormat
BoolParameter | _zero

## Additional Inherited Members

Protected Attributes inherited from Action
CliParams | _params
const char * | _name
const char * | _shortDescription
const char * | _description
bool | _acceptsNonParameter
BoolParameter | _printActions

## Detailed Description

Definition at line 24 of file LatticeFormatAction.h.

## Constructor & Destructor Documentation

## LatticeFormatAction()

LatticeFormatAction::LatticeFormatAction | ( |  | ) |

Definition at line 28 of file LatticeFormatAction.cpp.

## Member Function Documentation

## obtainParameters()

void LatticeFormatAction::obtainParameters | ( | vector< Parameter * > & | parameters | ) |

virtual

Reimplemented from Action.

Definition at line 54 of file LatticeFormatAction.cpp.

## perform()

void LatticeFormatAction::perform | ( |  | ) |

virtual

Implements Action.

Definition at line 61 of file LatticeFormatAction.cpp.

## staticGetName()

const char * LatticeFormatAction::staticGetName | ( |  | ) |

static

Definition at line 88 of file LatticeFormatAction.cpp.

## Member Data Documentation

## _inputFormat

StringParameter LatticeFormatAction::_inputFormat

private

Definition at line 35 of file LatticeFormatAction.h.

## _outputFormat

StringParameter LatticeFormatAction::_outputFormat

private

Definition at line 36 of file LatticeFormatAction.h.

## _zero

BoolParameter LatticeFormatAction::_zero

private

Definition at line 37 of file LatticeFormatAction.h.

The documentation for this class was generated from the following files:

- src/LatticeFormatAction.h
- src/LatticeFormatAction.cpp